Name: advi
Version: 1.2.0
Release: alt7

Packager: Vitaly Lugovsky <vsl@altlinux.ru>

Group: Office
Summary: Active DVI viewer
License: Distributable
Source: advi-1.2.0.tar.gz
Requires: tetex tetex-afm tetex-latex ghostscript camlimages-runtime

# Automatically added by buildreq on Mon Jan 20 2003
BuildRequires: XFree86-devel-static XFree86-libs camlimages freetype2-devel ghostscript-common ghostscript-module-X glib labltk latex2html libgimp-print libjpeg-devel libncurses-devel libpng-devel libtcl libtiff-devel libtk libungif-devel ocaml-runtime tetex-core tetex-dvips tetex-latex xpm-devel zlib-devel

#BuildRequires: ocaml, labltk >= 3.06, camlimages = 2.10, tetex, ghostscript
%set_verify_elf_method relaxed

%description

Active-DVI is a presenter and previewer for texts or slides written in
LaTeX, hence the presentation tool of choice for the 
discriminating hacker.

%prep
%setup -q

%build

./configure --prefix=$RPM_BUILD_ROOT/usr/
rm -f config.ml
cat <<EOF >config.ml
let have_gs = true;;
let advi_loc = "/usr/lib/advi";;
let splash_screen = Filename.concat advi_loc "splash.dvi";;
let kpsewhich_path = "/usr/bin/kpsewhich";;
let gs_path = "/usr/bin/gs";;
let gzip_path = "/usr/bin/gzip";;
let texpicts_kind = "graphic/figure";;
let psheaders_kind = "PostScript header";;
let texdir_path = "/usr/share/texmf";;
let database_path = Filename.concat texdir_path "ls-R";;
EOF
make opt documentation
(cd test; make clean; make)

%install
%define _compress_method skip

mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/lib/advi/
make install
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/tex/latex/advi/
cp tex/advi.sty $RPM_BUILD_ROOT/usr/share/texmf/tex/latex/advi/
cp tex/advi.pro $RPM_BUILD_ROOT/usr/share/texmf/tex/latex/advi/

%post
mktexlsr /usr/share/texmf > /dev/null

%preun
mktexlsr /usr/share/texmf > /dev/null


%files
/usr/bin/*
/usr/lib/advi/*
/usr/share/texmf/tex/latex/advi/*

%doc INSTALL README Announce COPYING examples/ test/ doc/ tex/

%changelog
* Mon Jan 20 2003 Rider <rider@altlinux.ru> 1.2.0-alt7
- fixed buildrequires
- small spec cleanup

* Fri Oct 25 2002 Stanislav Ievlev <inger@altlinux.ru> 1.2.0-alt6
- remove deps on ghostscript-fonts

* Sun Oct 13 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.0-alt5
- rebuild (tcl8.4)

* Fri Oct 04 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.0-alt4
- rebuild with new libs versions.

*Tue Jul 30 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.0-alt3
- rebuild with ocaml 3.05, dependencies fixed

*Tue Jun  25 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.0-alt2
- paths fixed

*Mon Jun  24 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.0-alt1
- 1.2.0 release

*Sat Mar  2 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- Rebuild with ocaml-3.04+7-alt1

*Sun Feb 18 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- First RPM release.
